Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Compute Cloud
  • Yandex Container Solution
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
  • Metrics Monitoring
  • Audit Trails events
  • Release notes

In this article:

  • HTTP request
  • Query parameters
  • Response
  • HostType
  1. API reference
  2. REST
  3. HostType
  4. List

Compute Cloud API, REST: HostType.List

Written by
Yandex Cloud
Updated at June 1, 2026
View in Markdown
  • HTTP request
  • Query parameters
  • Response
  • HostType

List avaliable host types.

HTTP requestHTTP request

GET https://compute.api.cloud.yandex.net/compute/v1/hostTypes

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is larger than pageSize,
the service returns a ListHostTypesResponse.nextPageToken
that can be used to get the next page of results in subsequent list requests.
The value must be less than or equal to 1000.

pageToken

string

Page token. To get the next page of results,
set pageToken to the ListHostTypesResponse.nextPageToken
returned by a previous list request.
The length must be less than or equal to 100.

ResponseResponse

HTTP Code: 200 - OK

{
  "hostTypes": [
    {
      "id": "string",
      "cores": "string",
      "memory": "string",
      "disks": "string",
      "diskSize": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

hostTypes[]

HostType

Lists host types.

nextPageToken

string

Token for getting the next page of the list. If the number of results is greater than
the specified ListHostTypesRequest.pageSize, use next_page_token as the value
for the ListHostTypesRequest.pageToken parameter in the next list request.
Each subsequent page will have its own next_page_token to continue paging through the results.

HostTypeHostType

Represents host resources.
Note: Platform can use hosts with different number of memory and cores.
TODO: Do we need sockets here?

Field

Description

id

string

Unique type identifier.

cores

string (int64)

Total number of cores available for instances.

memory

string (int64)

Ammount of memory available for instances.

disks

string (int64)

Number of local disks available for instances

diskSize

string (int64)

Size of each local disk

Was the article helpful?

Previous
Get
Next
Overview
© 2026 Direct Cursus Technology L.L.C.